# berkdb envremove |

`

###

    berkdb envremove
    	[-data_dir directory]
    	[-force]
    	[-home directory]
    	[-log_dir directory]
    	[-tmp_dir directory]
    	[-use_environ]
    	[-use_environ_root]

# Description

Remove a Berkeley DB environment.

The options are as follows:

-data_dir dirname
  Specify the environment's data directory as described in Berkeley DB File Naming.

-force
  If there are processes that have called berkdb env without calling env close (i.e., there are processes currently using the environment), berkdb envremove will fail without further action, unless the -force flag is set, in which case berkdb envremove will attempt to remove the environment regardless of any processes still using it.

-home directory
  The -home argument is described in Berkeley DB File Naming.

-log_dir dirname
  Specify the environment's log directory as described in Berkeley DB File Naming.

-tmp_dir dirname
  Specify the environment's tmp directory as described in Berkeley DB File Naming.

-use_environ
  The Berkeley DB process' environment may be permitted to specify information to be used when naming files; see Berkeley DB File Naming. As permitting users to specify which files are used can create security problems, environment information will be used in file naming for all users only if the -use_environ flag is set.

-use_environ_root
  The Berkeley DB process' environment may be permitted to specify information to be used when naming files; see Berkeley DB File Naming. As permitting users to specify which files are used can create security problems, if the -use_environ_root flag is set, environment information will be used for file naming only for users with appropriate permissions (e.g., on IEEE/ANSI Std 1003.1 (POSIX) systems, users with a user-ID of 0).

The berkdb envremove command returns 0 on success, and in the case of error, a Tcl error is thrown.

`

Copyright Sleepycat Software